umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
UMLForeignKeyConstraintDialog Class Reference

A dialog page to display foreignkey constraint properties. More...

`#include <umlforeignkeyconstraintdialog.h>`

Inheritance diagram for UMLForeignKeyConstraintDialog:

## Classes
struct | ColumnWidgets
struct | GeneralWidgets

## Public Slots
void | slotResetWidgetState ()
void | slotApply ()
void | slotOk ()
void | slotAddPair ()
void | slotDeletePair ()
void | slotReferencedEntityChanged (int index)

## Public Member Functions
| UMLForeignKeyConstraintDialog (QWidget *parent, UMLForeignKeyConstraint *pForeignKeyConstraint)
| ~UMLForeignKeyConstraintDialog ()
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Private Member Functions
bool | apply ()
void | setupGeneralPage ()
void | setupColumnPage ()
void | refillReferencedAttributeCB ()
void | refillLocalAttributeCB ()

## Private Attributes
UMLDoc * | m_doc
| the UMLDocument where all objects live
UMLForeignKeyConstraint * | m_pForeignKeyConstraint
UMLEntityAttributeList | m_pLocalAttributeList
UMLEntityAttributeList | m_pReferencedAttributeList
EntityAttributePairList | m_pAttributeMapList
int | m_pReferencedEntityIndex
GeneralWidgets | m_GeneralWidgets
ColumnWidgets | m_ColumnWidgets
KPageWidgetItem * | pageGeneral
KPageWidgetItem * | pageColumn

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Detailed Description

A dialog page to display foreignkey constraint properties.

A dialog page to display foreignkey constraint properties.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLForeignKeyConstraintDialog()

UMLForeignKeyConstraintDialog::UMLForeignKeyConstraintDialog | ( | QWidget * | parent,
|  | UMLForeignKeyConstraint * | pForeignKeyConstraint )

Sets up the UMLForeignKeyConstraintDialog

Parameters

  parent | The parent to the UMLForeignKeyConstraintDialog.
  pForeignKeyConstraint | The Unique Constraint to show the properties of

## ◆ ~UMLForeignKeyConstraintDialog()

UMLForeignKeyConstraintDialog::~UMLForeignKeyConstraintDialog | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool UMLForeignKeyConstraintDialog::apply | ( |  | ) |
| private

Checks if changes are valid and applies them if they are, else returns false.

## ◆ refillLocalAttributeCB()

void UMLForeignKeyConstraintDialog::refillLocalAttributeCB | ( |  | ) |
| private

## ◆ refillReferencedAttributeCB()

void UMLForeignKeyConstraintDialog::refillReferencedAttributeCB | ( |  | ) |
| private

## ◆ setupColumnPage()

void UMLForeignKeyConstraintDialog::setupColumnPage | ( |  | ) |
| private

Setup Column Page.

## ◆ setupGeneralPage()

void UMLForeignKeyConstraintDialog::setupGeneralPage | ( |  | ) |
| private

Setup the General Page.

## ◆ slotAddPair

void UMLForeignKeyConstraintDialog::slotAddPair | ( |  | ) |
| slot

Adds pair to the list.

## ◆ slotApply

void UMLForeignKeyConstraintDialog::slotApply | ( |  | ) |
| slot

Used when the Apply button is clicked.

## ◆ slotDeletePair

void UMLForeignKeyConstraintDialog::slotDeletePair | ( |  | ) |
| slot

Deletes a pair from the list.

## ◆ slotOk

void UMLForeignKeyConstraintDialog::slotOk | ( |  | ) |
| slot

Used when the OK button is clicked. Calls apply().

## ◆ slotReferencedEntityChanged

void UMLForeignKeyConstraintDialog::slotReferencedEntityChanged | ( | int | index | ) |
| slot

## ◆ slotResetWidgetState

void UMLForeignKeyConstraintDialog::slotResetWidgetState | ( |  | ) |
| slot

Enable/Disable the widgets in the Dialog Box.

## Member Data Documentation

## ◆ m_ColumnWidgets

ColumnWidgets UMLForeignKeyConstraintDialog::m_ColumnWidgets
| private

## ◆ m_doc

UMLDoc* UMLForeignKeyConstraintDialog::m_doc
| private

the UMLDocument where all objects live

## ◆ m_GeneralWidgets

GeneralWidgets UMLForeignKeyConstraintDialog::m_GeneralWidgets
| private

## ◆ m_pAttributeMapList

EntityAttributePairList UMLForeignKeyConstraintDialog::m_pAttributeMapList
| private

## ◆ m_pForeignKeyConstraint

UMLForeignKeyConstraint* UMLForeignKeyConstraintDialog::m_pForeignKeyConstraint
| private

## ◆ m_pLocalAttributeList

UMLEntityAttributeList UMLForeignKeyConstraintDialog::m_pLocalAttributeList
| private

## ◆ m_pReferencedAttributeList

UMLEntityAttributeList UMLForeignKeyConstraintDialog::m_pReferencedAttributeList
| private

## ◆ m_pReferencedEntityIndex

int UMLForeignKeyConstraintDialog::m_pReferencedEntityIndex
| private

Temporary Storage for entity index in referencedColumnCB. Used for reverting back a change in referenced entities.

## ◆ pageColumn

KPageWidgetItem * UMLForeignKeyConstraintDialog::pageColumn
| private

## ◆ pageGeneral

KPageWidgetItem* UMLForeignKeyConstraintDialog::pageGeneral
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlforeignkeyconstraintdialog.h
- umbrello/dialogs/umlforeignkeyconstraintdialog.cpp